跳到主要内容

查看按需计算状态 (V2)

Describe the On-Demand Compute status for a project region.

GET/v2/on-demand-compute
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com.cn

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
projectIdstringqueryrequired

项目 ID。

示例值:proj-xxx
regionIdstringqueryrequired

地域 ID。

示例值:aws-us-west-2
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/on-demand-compute?projectId=proj-xxx&regionId=aws-us-west-2" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 - application/json

成功响应。

codeinteger

响应码。

示例值:0
dataobject

响应载荷,包含按需计算状态。

projectIdstring

项目 ID。

regionIdstring

地域 ID。

statusstring

按需计算状态。可选值为 disabled(已禁用)、enabling(启用中)、enabled(已启用)或 abnormal(异常)。

失败响应。

codeinteger

响应码。

messagestring

错误描述。

{
"code": 0,
"data": {
"projectId": "proj-xxx",
"regionId": "ali-cn-hangzhou",
"status": "enabled"
}
}